Subject: bug#13149: 24.3.50; Emacs thinks file was changed outside Emacs, but it was not

From: Dmitry Gutov <[email-masked]>
Date: Wed, 16 Jan 2013 01:38:05 +0400

On 15.01.2013 21:31, Paul Eggert wrote:
> On 01/15/13 00:54, Dmitry Gutov wrote:
>> If I repeat modify -> save cycle quickly enough, the problem is still visible.

The "cycle quickly enough" principle doesn't work now. It was "almost 
always works fine with very few occasional failures" an hour ago, then I 
rebooted, and now the fix seems to not do anything at all, even after a 
few later reboots and "make bootstrap"s.

And yes, the patch is applied and sloppy-file-time-stamps is t.

> Can you send the stderr output for that,
> where get_stat_mtime is modified as before?

Here you go (this is the "fix not working" state):

stat_mtime=1358283708.846084200
stat_mtime=1358283708.846084200
stat_mtime=1358283708.846084200
stat_mtime=1358194311.328310000
stat_mtime=1358281767.960074887
stat_mtime=1358283708.846084200
stat_mtime=1358283708.846084200
stat_mtime=1358283708.846084200
stat_mtime=1358283708.846084200
stat_mtime=1358283708.846084200
stat_mtime=1358283708.846084200
stat_mtime=1358283708.846084200
stat_mtime=1358283748.000000000
stat_mtime=1358283753.018693400
stat_mtime=1358283753.018693400
stat_mtime=1358194311.328310000
stat_mtime=1358281481.888067978
stat_mtime=1358283753.018693400
stat_mtime=1358283753.018693400
stat_mtime=1358283753.018693400
stat_mtime=1358283753.018693400
stat_mtime=1358283753.018693400
stat_mtime=1358283753.018693400
stat_mtime=1358283755.000000000
stat_mtime=1358283759.717044000
stat_mtime=1358283759.717044000
stat_mtime=1358283759.717044000
stat_mtime=1358283759.717044000
stat_mtime=1358283759.717044000
stat_mtime=1358283759.717044000
stat_mtime=1358283759.717044000
stat_mtime=1358283759.717044000

If this is too bizarre, please wait until I re-confirm this on a new 
virtual machine with a different distro.